NX Open C++ Reference Guide
|
Represents a Steel Insert Section sub feature. More...
Public Types | |
enum | ExtensionTypeOption { ExtensionTypeOptionConstant, ExtensionTypeOptionMaxdistPlusConst, ExtensionTypeOptionLaw } |
Settings for the extension type. More... | |
Public Member Functions | |
NXOpen::Expression * | BackSideReliefDistance () |
Returns the back/side relief distance of the steel insert casting Created in NX4.0.0. | |
NXOpen::Expression * | BeltThickness () |
Returns the belt thickness Created in NX4.0.0. | |
NXOpen::Expression * | ExtensionDistance () |
Returns the extension distance Created in NX4.0.0. | |
NXOpen::Die::SteelInsertSectionBuilder::ExtensionTypeOption | ExtensionType () |
Returns the extension type Created in NX4.0.0. | |
void | GetBackAttributes (NXString *title, NXString *value, int *color) |
Gets the back faces attributes Created in NX4.0.0. | |
void | GetBaseAttributes (NXString *title, NXString *value, int *color) |
Gets the base faces attributes Created in NX4.0.0. | |
void | GetEndAttributes (NXString *title, NXString *value, int *color) |
Gets the end faces attributes Created in NX4.0.0. | |
void | GetFlangeWallAttributes (NXString *title, NXString *value, int *color) |
Gets the flange wall attributes Created in NX4.0.0. | |
void | GetFormingAttributes (NXString *title, NXString *value, int *color) |
Gets the forming faces attributes Created in NX4.0.0. | |
void | GetTrimWallAttributes (NXString *title, NXString *value, int *color) |
Gets the steelinsert trim wall faces attributes Created in NX4.0.0. | |
double | MassLimit () |
Returns the mass limit of the steel insert casting Created in NX4.0.0. | |
NXOpen::Expression * | OffsetProfileToTop () |
Returns the offset of the profile to the top of the steel insert casting Created in NX4.0.0. | |
NXOpen::Expression * | PlanarOffsetHeight () |
Returns the planar contact height of the steel insert casting Created in NX4.0.0. | |
NXOpen::Expression * | ProductContactRelief () |
Returns the product contact relief of the steel insert casting Created in NX4.0.0. | |
NXOpen::Expression * | ProductContactWidth () |
Returns the product contact width of the steel insert casting Created in NX4.0.0. | |
NXOpen::Expression * | ProfileRelief () |
Returns the profile relief Created in NX4.0.0. | |
NXOpen::Expression * | ReliefAngle () |
Returns the relief angle Created in NX4.0.0. | |
void | SetBackAttributes (const NXString &title, const NXString &value, int color) |
Sets the back faces attributes Created in NX4.0.0. | |
void | SetBackAttributes (const char *title, const char *value, int color) |
Sets the back faces attributes Created in NX4.0.0. | |
void | SetBackSideReliefDistance (const NXString &backSideReliefDistance) |
Created in NX4.0.0. | |
void | SetBackSideReliefDistance (const char *backSideReliefDistance) |
Created in NX4.0.0. | |
void | SetBaseAttributes (const NXString &title, const NXString &value, int color) |
Sets the base faces attributes Created in NX4.0.0. | |
void | SetBaseAttributes (const char *title, const char *value, int color) |
Sets the base faces attributes Created in NX4.0.0. | |
void | SetBeltThickness (const NXString &beltThickness) |
Created in NX4.0.0. | |
void | SetBeltThickness (const char *beltThickness) |
Created in NX4.0.0. | |
void | SetEndAttributes (const NXString &title, const NXString &value, int color) |
Sets the end faces attributes Created in NX4.0.0. | |
void | SetEndAttributes (const char *title, const char *value, int color) |
Sets the end faces attributes Created in NX4.0.0. | |
void | SetExtensionDistance (const NXString &extensionDistance) |
Created in NX4.0.0. | |
void | SetExtensionDistance (const char *extensionDistance) |
Created in NX4.0.0. | |
void | SetExtensionType (NXOpen::Die::SteelInsertSectionBuilder::ExtensionTypeOption extensionType) |
Sets the extension type Created in NX4.0.0. | |
void | SetFlangeWallAttributes (const NXString &title, const NXString &value, int color) |
Sets the flange wall attributes Created in NX4.0.0. | |
void | SetFlangeWallAttributes (const char *title, const char *value, int color) |
Sets the flange wall attributes Created in NX4.0.0. | |
void | SetFormingAttributes (const NXString &title, const NXString &value, int color) |
Sets the forming faces attributes Created in NX4.0.0. | |
void | SetFormingAttributes (const char *title, const char *value, int color) |
Sets the forming faces attributes Created in NX4.0.0. | |
void | SetMassLimit (double massLimit) |
Sets the mass limit of the steel insert casting Created in NX4.0.0. | |
void | SetOffsetProfileToTop (const NXString &offsetProfileToTop) |
Created in NX4.0.0. | |
void | SetOffsetProfileToTop (const char *offsetProfileToTop) |
Created in NX4.0.0. | |
void | SetPlanarOffsetHeight (const NXString &planarOffsetHeight) |
Created in NX4.0.0. | |
void | SetPlanarOffsetHeight (const char *planarOffsetHeight) |
Created in NX4.0.0. | |
void | SetProductContactRelief (const NXString &productContactRelief) |
Created in NX4.0.0. | |
void | SetProductContactRelief (const char *productContactRelief) |
Created in NX4.0.0. | |
void | SetProductContactWidth (const NXString &productContactWidth) |
Created in NX4.0.0. | |
void | SetProductContactWidth (const char *productContactWidth) |
Created in NX4.0.0. | |
void | SetProfileRelief (const NXString &profileRelief) |
Created in NX4.0.0. | |
void | SetProfileRelief (const char *profileRelief) |
Created in NX4.0.0. | |
void | SetReliefAngle (const NXString &reliefAngle) |
Created in NX4.0.0. | |
void | SetReliefAngle (const char *reliefAngle) |
Created in NX4.0.0. | |
void | SetTrimWallAttributes (const NXString &title, const NXString &value, int color) |
Sets the steelinsert trim wall faces attributes Created in NX4.0.0. | |
void | SetTrimWallAttributes (const char *title, const char *value, int color) |
Sets the steelinsert trim wall faces attributes Created in NX4.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Steel Insert Section sub feature.
This sub feature is created via the main feature builder.
Created in NX4.0.0.
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::BackSideReliefDistance | ( | ) |
Returns the back/side relief distance of the steel insert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::BeltThickness | ( | ) |
Returns the belt thickness
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ExtensionDistance | ( | ) |
Returns the extension distance
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::SteelInsertSectionBuilder::ExtensionTypeOption NXOpen::Die::SteelInsertSectionBuilder::ExtensionType | ( | ) |
Returns the extension type
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Die::SteelInsertSectionBuilder::GetBackAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the back faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of back faces |
void NXOpen::Die::SteelInsertSectionBuilder::GetBaseAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the base faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of base faces |
void NXOpen::Die::SteelInsertSectionBuilder::GetEndAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the end faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of end faces |
void NXOpen::Die::SteelInsertSectionBuilder::GetFlangeWallAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the flange wall attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of flange wall faces |
void NXOpen::Die::SteelInsertSectionBuilder::GetFormingAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the forming faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of forming faces |
void NXOpen::Die::SteelInsertSectionBuilder::GetTrimWallAttributes | ( | NXString * | title, |
NXString * | value, | ||
int * | color | ||
) |
Gets the steelinsert trim wall faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute |
value | value of attribute |
color | color of trim wall faces |
double NXOpen::Die::SteelInsertSectionBuilder::MassLimit | ( | ) |
Returns the mass limit of the steel insert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::OffsetProfileToTop | ( | ) |
Returns the offset of the profile to the top of the steel insert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::PlanarOffsetHeight | ( | ) |
Returns the planar contact height of the steel insert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ProductContactRelief | ( | ) |
Returns the product contact relief of the steel insert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ProductContactWidth | ( | ) |
Returns the product contact width of the steel insert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ProfileRelief | ( | ) |
Returns the profile relief
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Expression* NXOpen::Die::SteelInsertSectionBuilder::ReliefAngle | ( | ) |
Returns the relief angle
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Die::SteelInsertSectionBuilder::SetBackAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the back faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of back faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetBackAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the back faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of back faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetBackSideReliefDistance | ( | const NXString & | backSideReliefDistance | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
backSideReliefDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetBackSideReliefDistance | ( | const char * | backSideReliefDistance | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
backSideReliefDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetBaseAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the base faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of base faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetBaseAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the base faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of base faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetBeltThickness | ( | const NXString & | beltThickness | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
beltThickness | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetBeltThickness | ( | const char * | beltThickness | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
beltThickness | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetEndAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the end faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of end faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetEndAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the end faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of end faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetExtensionDistance | ( | const NXString & | extensionDistance | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
extensionDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetExtensionDistance | ( | const char * | extensionDistance | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
extensionDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetExtensionType | ( | NXOpen::Die::SteelInsertSectionBuilder::ExtensionTypeOption | extensionType | ) |
Sets the extension type
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
extensionType | extension type |
void NXOpen::Die::SteelInsertSectionBuilder::SetFlangeWallAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the flange wall attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of flange wall faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetFlangeWallAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the flange wall attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of flange wall faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetFormingAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the forming faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of forming faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetFormingAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the forming faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of forming faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetMassLimit | ( | double | massLimit | ) |
Sets the mass limit of the steel insert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
massLimit | mass limit |
void NXOpen::Die::SteelInsertSectionBuilder::SetOffsetProfileToTop | ( | const NXString & | offsetProfileToTop | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
offsetProfileToTop | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetOffsetProfileToTop | ( | const char * | offsetProfileToTop | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
offsetProfileToTop | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetPlanarOffsetHeight | ( | const NXString & | planarOffsetHeight | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
planarOffsetHeight | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetPlanarOffsetHeight | ( | const char * | planarOffsetHeight | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
planarOffsetHeight | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetProductContactRelief | ( | const NXString & | productContactRelief | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
productContactRelief | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetProductContactRelief | ( | const char * | productContactRelief | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
productContactRelief | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetProductContactWidth | ( | const NXString & | productContactWidth | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
productContactWidth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetProductContactWidth | ( | const char * | productContactWidth | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
productContactWidth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetProfileRelief | ( | const NXString & | profileRelief | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
profileRelief | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetProfileRelief | ( | const char * | profileRelief | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
profileRelief | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetReliefAngle | ( | const NXString & | reliefAngle | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
reliefAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetReliefAngle | ( | const char * | reliefAngle | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
reliefAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::SteelInsertSectionBuilder::SetTrimWallAttributes | ( | const NXString & | title, |
const NXString & | value, | ||
int | color | ||
) |
Sets the steelinsert trim wall faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of trim wall faces |
void NXOpen::Die::SteelInsertSectionBuilder::SetTrimWallAttributes | ( | const char * | title, |
const char * | value, | ||
int | color | ||
) |
Sets the steelinsert trim wall faces attributes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
title | title for attribute NOTE: The full Unicode character set is not supported for this parameter. |
value | value of attribute NOTE: The full Unicode character set is not supported for this parameter. |
color | color of trim wall faces |